//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Manager/ProjectLoadProblemDialog.h
//! @brief     Defines class ProjectLoadProblemDialog.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_MANAGER_PROJECTLOADPROBLEMDIALOG_H
#define BORNAGAIN_GUI_VIEW_MANAGER_PROJECTLOADPROBLEMDIALOG_H

#include <QDialog>
#include <QString>

//! The dialog to inform user about encountered problems during the loading of old project

class ProjectLoadProblemDialog : public QDialog {
    Q_OBJECT
public:
    ProjectLoadProblemDialog(const QStringList& details);

private:
    QWidget* createWarningWidget();
    QLayout* buttonLayout();
    QString explanationText() const;
};

#endif // BORNAGAIN_GUI_VIEW_MANAGER_PROJECTLOADPROBLEMDIALOG_H
